Summary:	A new feature-rich GTK+ theme switcher
Name:     	lxappearance
Version:	0.5.0
Release:	%mkrel 6
License:	GPLv2+
Group:		Graphical desktop/Other
Source0: 	http://downloads.sourceforge.net/project/lxde/%name-%version.tar.gz
URL:		http://lxde.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk+2-devel desktop-file-utils
BuildRequires:	intltool
Suggests: lxappearance-obconf

%description
LXAppearance is a new GTK+ theme switcher developed for project LXDE.

%package devel
Group:		Graphical desktop/Other
Summary:	%{name} developement files
Provides:	%{name}-devel = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains header files needed when building applications based on
%{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %{name}

desktop-file-install --vendor="" \
	--remove-key="NotShowIn" \
	--add-only-show-in="LXDE" \
	--dir=%buildroot%_datadir/applications %buildroot%_datadir/applications/*.desktop


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/%name

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/lxappearance.pc




%changelog
* Sun May 01 2011 pterjan <pterjan> 0.5.0-6.mga1
+ Revision: 94033
- Bump release higher than Mandriva

* Fri Feb 04 2011 ahmad <ahmad> 0.5.0-2.mga1
+ Revision: 46892
- imported package lxappearance


* Fri Dec 31 2010 Александр Казанцев <kazancas@mandriva.org> 0.5.0-2mdv2011.0
+ Revision: 626796
- add devel package and suggest of obconf plugin

* Thu Oct 14 2010 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 585633
- New version 0.5.0

* Thu Jun 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.0-2mdv2010.1
+ Revision: 547856
- make lxappearance.desktop appear only in LXDE

* Thu Jan 07 2010 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2010.1
+ Revision: 487023
- New version 0.4.0

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 475335
- BR intltool
- new version 0.3.0

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 392807
- new version 0.2.1

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.2-2mdv2009.0
+ Revision: 268122
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.2-1mdv2009.0
+ Revision: 200930
- BR desktop-file-utils
- fix url
- import source
- Created package structure for lxappearance.

